*{
    padding: 0px;
    margin: 0px;
}
.scene{
    position: relative;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #8e2de2;
}
.cage{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 200px;
    height: 200px;
}
.cage::before{
    content: "" ;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: rgba(251, 251, 251, 0.08);
    animation: rotate 1.5s ease-in-out alternate-reverse infinite;
    box-shadow: -20px -20px 10px 0px rgba(0, 0, 0, 0.05) 5px 5px 20px 0px rgba(0, 0, 0, 0.1);
}
@keyframes rotate {
    0%{
        transform: rotate(0deg);
        border-radius: 0 0 0 0;
    }
    25%{
        transform: rotate(-6.25deg);
        border-radius: 0 0 0 25px;
    }
    35%{
        border-radius: 0 0 0 35px;
    }
    50%{
        transform: rotate(-12.5deg);
        border-radius: 0 0 0 50px;
    }
    65%{
        border-radius: 0 0 0 35px;
    }
    75%{
        transform: rotate(-18.75deg);
        border-radius: 0 0 0 25px;
    }
    100%{
        transform: rotate(-25deg);
        border-radius: 0 0 0 0px;
    }
}
.ball{
    position: absolute;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    animation: dash 1.5s alternate-reverse ease-in-out infinite;
    background-color: rgb(206, 135, 2);
}
@keyframes dash{
    0%{
        transform: translateX(0px);
    }
    25%{
        transform: translateX(-20px);
    }
    50%{
        transform: translateX(-40px);
    }
    75%{
        transform: translateX(-60px);
    }
    100%{
        transform: translateX(-80px);
    }
}